play.templates

## Class GroovyTemplate.ExecutableTemplate

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.lang.Script
    - - play.templates.GroovyTemplate.ExecutableTemplate

All Implemented Interfaces:
  groovy.lang.GroovyObject

Enclosing class:
  GroovyTemplate

    public abstract static class GroovyTemplate.ExecutableTemplate
    extends groovy.lang.Script

Groovy template

### Field Summary

Fields
`GroovyTemplate` `template`

### Constructor Summary

Constructors
Constructor and Description
`ExecutableTemplate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `__getMessage(java.lang.Object[] val)`
`java.lang.Class` `__loadClass(java.lang.String className)` Load the class from Pay Class loader
`java.lang.String` `__reverseWithCheck_absolute_false(java.lang.String action)`
`java.lang.String` `__reverseWithCheck_absolute_true(java.lang.String action)`
`java.lang.String` `__safe(java.lang.Object val, java.lang.String stringValue)`
`java.lang.String` `__safeFaster(java.lang.Object val)` This method is faster to call from groovy than __safe() since we only evaluate val.toString() if we need to
`java.lang.Object` `get(java.lang.String key)`
`java.lang.Object` `getProperty(java.lang.String property)`
`void` `init(GroovyTemplate t)`
`void` `invokeTag(java.lang.Integer fromLine, java.lang.String tag, java.util.Map<java.lang.String,java.lang.Object> attrs, groovy.lang.Closure body)`

### Methods inherited from class groovy.lang.Script

`evaluate, evaluate, getBinding, invokeMethod, print, printf, printf, println, println, run, run, setBinding, setProperty`

### Methods inherited from class groovy.lang.GroovyObjectSupport

`getMetaClass, setMetaClass`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### template

    public GroovyTemplate template

### Constructor Detail

#### ExecutableTemplate

    public ExecutableTemplate()

### Method Detail

#### init

    public void init(GroovyTemplate t)

#### getProperty

    public java.lang.Object getProperty(java.lang.String property)

Specified by:
  `getProperty` in interface `groovy.lang.GroovyObject`
Overrides:
  `getProperty` in class `groovy.lang.Script`

#### invokeTag

    public void invokeTag(java.lang.Integer fromLine,
                          java.lang.String tag,
                          java.util.Map<java.lang.String,java.lang.Object> attrs,
                          groovy.lang.Closure body)

#### __loadClass

    public java.lang.Class __loadClass(java.lang.String className)
                                throws java.lang.Exception

Load the class from Pay Class loader

Parameters:
  `className` - the class name
Returns:
  the given class
Throws:
  `java.lang.Exception` - if problem occured when loading the class

#### __safeFaster

    public java.lang.String __safeFaster(java.lang.Object val)

This method is faster to call from groovy than __safe() since we only evaluate val.toString() if we need to

Parameters:
  `val` - the object to evaluate
Returns:
  The evaluating string

#### __getMessage

    public java.lang.String __getMessage(java.lang.Object[] val)

#### __reverseWithCheck_absolute_true

    public java.lang.String __reverseWithCheck_absolute_true(java.lang.String action)

#### __reverseWithCheck_absolute_false

    public java.lang.String __reverseWithCheck_absolute_false(java.lang.String action)

#### __safe

    public java.lang.String __safe(java.lang.Object val,
                                   java.lang.String stringValue)

#### get

    public java.lang.Object get(java.lang.String key)